Fulfillment & ShippingOrders
List fulfillment orders for an order
Lists the fulfillment orders created for one customer order.
GET
/v1/orders/{orderId}/fulfillment-ordersLists the fulfillment orders created for one customer order.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
orderId*string
Identifier of the order.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/orders/7204558912004325301/fulfillment-orders" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "storeId": "7204558912004325301", "orderId": "7204558912004325301", "shipmentOriginKind": "manual", "shippingConnectionId": "7204558912004325301", "status": "pendingAssignment", "shipmentId": "7204558912004325301", "trackingNumber": "example", "trackingLink": "example", "labelUrl": "https://example.com/resource", "carrierName": "Example resource" }]